Loading...
Searching...
No Matches
volk_16ic_convert_32fc.h File Reference
`#include <volk/volk_complex.h>`
`#include <emmintrin.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_16ic_convert_32fc_u_H

## Functions

static void | volk_16ic_convert_32fc_generic (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)
static void | volk_16ic_convert_32fc_a_sse2 (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)
static void | volk_16ic_convert_32fc_a_avx (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)
static void | volk_16ic_convert_32fc_neon (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)
static void | volk_16ic_convert_32fc_u_sse2 (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)
static void | volk_16ic_convert_32fc_u_avx (lv_32fc_t *outputVector, const lv_16sc_t *inputVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_16ic_convert_32fc_u_H

#define INCLUDED_volk_16ic_convert_32fc_u_H

## Function Documentation

## volk_16ic_convert_32fc_a_avx()

void volk_16ic_convert_32fc_a_avx | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_convert_32fc_a_sse2()

void volk_16ic_convert_32fc_a_sse2 | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_convert_32fc_generic()

void volk_16ic_convert_32fc_generic | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_convert_32fc_neon()

void volk_16ic_convert_32fc_neon | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_convert_32fc_u_avx()

void volk_16ic_convert_32fc_u_avx | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_16ic_convert_32fc_u_sse2()

void volk_16ic_convert_32fc_u_sse2 | ( | lv_32fc_t * | outputVector,
|  | const lv_16sc_t * | inputVector,
|  | unsigned int | num_points )

inline static